pub enum Command {
    Strap,
    Unpack,
    None,
}

impl From<String> for Command {
    fn from(value: String) -> Self {
        match value.to_lowercase().as_str() {
            "strap" => Command::Strap,
            "unpack" => Command::Unpack,
            _ => Command::None,
        }
    }
}
pub struct Args {
    pub command: Command,
    pub args: Vec<String>,
}

impl From<Vec<String>> for Args {
    fn from(value: Vec<String>) -> Self {
        Args {
            command: Command::from(value[0].to_owned()),
            args: value[1..].to_owned(),
        }
    }
}
